VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3120
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5175
   LinkTopic       =   "Form1"
   ScaleHeight     =   3120
   ScaleWidth      =   5175
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   615
      Left            =   3480
      TabIndex        =   4
      Top             =   2280
      Width           =   1575
   End
   Begin VB.CommandButton cmdSaveImage 
      Caption         =   "picCats.Picture = picCats.Image"
      Height          =   615
      Left            =   3480
      TabIndex        =   3
      Top             =   1560
      Width           =   1575
   End
   Begin VB.CommandButton cmdCls 
      Caption         =   "picCats.Cls"
      Height          =   615
      Left            =   3480
      TabIndex        =   2
      Top             =   840
      Width           =   1575
   End
   Begin VB.CommandButton cmdLoadPicture 
      Caption         =   "Load Picture"
      Height          =   615
      Left            =   3480
      TabIndex        =   1
      Top             =   120
      Width           =   1575
   End
   Begin VB.PictureBox picCats 
      AutoSize        =   -1  'True
      Height          =   3120
      Left            =   0
      ScaleHeight     =   3060
      ScaleWidth      =   3300
      TabIndex        =   0
      Top             =   0
      Width           =   3360
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_FilePath As String

Private m_Dragging As Boolean
' Load the picture and draw text on it.
Private Sub DrawText()
    ' Load the picture.
    picCats.Picture = LoadPicture(m_FilePath & "cats.jpg")

    ' Add the text centered at the top.
    picCats.AutoRedraw = True
    picCats.ForeColor = vbWhite
    picCats.Font.Name = "Times New Roman"
    picCats.Font.Size = 20
    picCats.Font.Bold = True
    picCats.CurrentX = (picCats.ScaleWidth - picCats.TextWidth("Cats")) / 2
    picCats.CurrentY = 30
    picCats.Print "Cats"
End Sub

' Clear the control's image completely.
Private Sub cmdClear_Click()
    picCats.Picture = LoadPicture()
End Sub

' Clear any non-saved lines.
Private Sub cmdCls_Click()
    picCats.Cls
End Sub

' Load the picture.
Private Sub cmdLoadPicture_Click()
    picCats.Picture = LoadPicture(m_FilePath & "cats.jpg")
End Sub

    ' Make the current image permanent.
    Private Sub cmdSaveImage_Click()
        picCats.Picture = picCats.Image
    End Sub
    
' Get the directory path.
Private Sub Form_Load()
    m_FilePath = App.Path
    If Right$(m_FilePath, 1) <> "\" Then m_FilePath = m_FilePath & "\"

    picCats.AutoRedraw = True
End Sub

Private Sub picCats_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    m_Dragging = True
    picCats.CurrentX = X
    picCats.CurrentY = Y
End Sub


Private Sub picCats_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Not m_Dragging Then Exit Sub

    picCats.Line -(X, Y)
End Sub


Private Sub picCats_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    m_Dragging = False
End Sub


